package com.swa.mediatutorial;

import android.media.AudioManager;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore;
import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;

public class MainActivity extends Activity {

	private ImageView iv;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		/*
		MediaPlayer mp1 = MediaPlayer.create(this, Uri.parse("file:///...."));
		
		// Remote file 
		MediaPlayer mp2 = MediaPlayer.create(this, Uri.parse("http://website.com"));
		mp2.setAudioStreamType(AudioManager.STREAM_MUSIC);
		mp2.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
			
			@Override
			public void onCompletion(MediaPlayer mp) {
				mp.start();
			}
		});
		mp2.prepareAsync();
		*/
		
		iv = (ImageView) findViewById(R.id.img);
		Button b = (Button) findViewById(R.id.btn1);
		b.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
			   // Here we fire the intent to start the camera
				Intent i = new Intent(MediaStore.ACTION_IMAGE_CAPTURE);
				startActivityForResult(i, 100);
				
			}
		});
	}
	
	
	

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		// This is called when we finish taking the photo
	   Bitmap bmp = (Bitmap) data.getExtras().get("data");
	   iv.setImageBitmap(bmp);
	}




	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
